View a markdown version of this page

ListAssetFiles - AWS DevOps Agent

ListAssetFiles

Lists files in an asset

Request Syntax

GET /asset/agent-space/agentSpaceId/assets/assetId/files?assetVersion=assetVersion&maxResults=maxResults&nextToken=nextToken HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

agentSpaceId

The unique identifier for the agent space containing the asset

Pattern: [a-zA-Z0-9-]{1,64}

Required: Yes

assetId

The unique identifier of the asset whose files to list

Length Constraints: Minimum length of 1. Maximum length of 128.

Pattern: [a-zA-Z0-9_.-]+

Required: Yes

assetVersion

The specific asset version to list files from. If omitted, files from the latest version are returned.

Valid Range: Minimum value of 1.

maxResults

The maximum number of results to return in a single response

Valid Range: Minimum value of 1. Maximum value of 100.

nextToken

Pagination token from a previous response to retrieve the next page of results

Length Constraints: Minimum length of 1. Maximum length of 2048.

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "items": [ { "createdAt": number, "metadata": JSON value, "path": "string", "updatedAt": number, "version": number } ], "nextToken": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

items

The list of asset file summaries

Type: Array of AssetFileSummary objects

nextToken

Pagination token to retrieve the next page of results. Absent when there are no more results.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 2048.

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

Access to the requested resource is denied due to insufficient permissions.

message

Detailed error message describing why access was denied.

HTTP Status Code: 403

ConflictException

The request conflicts with the current state of the resource.

message

Detailed error message describing the conflict.

HTTP Status Code: 409

ContentSizeExceededException

This exception is thrown when the content size exceeds the allowed limit.

HTTP Status Code: 413

InternalServerException

This exception is thrown when an unexpected error occurs in the processing of a request.

HTTP Status Code: 500

InvalidParameterException

One or more parameters provided in the request are invalid.

message

Detailed error message describing which parameter is invalid and why.

HTTP Status Code: 400

ResourceNotFoundException

The requested resource could not be found.

message

Detailed error message describing which resource was not found.

HTTP Status Code: 404

ServiceQuotaExceededException

The request would exceed the service quota limit.

message

Detailed error message describing which quota was exceeded.

HTTP Status Code: 402

ThrottlingException

The request was throttled due to too many requests. Please slow down and try again.

message

Detailed error message describing the throttling condition.

HTTP Status Code: 429

ValidationException

The input fails to satisfy the constraints specified by the service.

fieldList

A list of specific failures encountered while validating the input. A member can appear in this list more than once if it failed to satisfy multiple constraints.

message

A summary of the validation failure.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: